Is the legacy version of Saints Row IV unsupported?

I opted into the legacy version of Saints Row IV on steam through the properties > betas. That said, when I try to use the trainer for the said game it has the ‘install game’ button on the app despite the game being already installed.